API reference and playgroundPayouts
Fees inquiry
curl -X POST "https://test-api.kashier.io/v2/transfers/fee-inquiry" \ -H "Content-Type: application/json" \ -d '{ "transfers": [ { "amount": "100", "method": "wallet" } ] }'{ "message": "success", "data": { "amount": "100.00", "processingFee": "3.42", "totalAmountDue": "103.42" }}Inquires about the fees for one or more prospective transfers.
Authorization
secretKey Authorization<token>
Merchant secret key used to identify the merchant, obtained from Kashier's dashboard. Pass the raw secret key value in the Authorization header (NOT a "Bearer" token).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json